package speiger.src.coreengine.platform.graphics.api.shader.states;

public record BlendFunction(BlendFactor colorSource, BlendFactor alphaSource, BlendFactor colorTarget, BlendFactor alphaTarget) {
	public static final BlendFunction DEFAULT = new BlendFunction(BlendFactor.ONE, BlendFactor.ZERO);
	public BlendFunction(BlendFactor source, BlendFactor target) {
		this(source, BlendFactor.ONE, target, BlendFactor.ZERO);
	}
}